List transactions
curl --request GET \
--url https://api.spenza.com/api/v1.1/transactions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.spenza.com/api/v1.1/transactions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.spenza.com/api/v1.1/transactions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"success": true,
"data": [
{
"id": "txn_5c9a1e",
"type": "CHARGE",
"status": "SUCCEEDED",
"amount": 49.99,
"currency": "usd",
"orderId": "ord_1698765432100",
"createdAt": "2026-07-01T10:00:01.000Z"
}
],
"meta": {
"page": 1,
"pageSize": 25,
"total": 60,
"totalPages": 3
}
}{
"success": false,
"error": {
"code": "VALIDATION_ERROR",
"message": "One or more fields failed validation.",
"details": {
"validationErrors": [
"type must be one of the following values: CHARGE, REFUND"
]
}
}
}{
"success": false,
"error": {
"code": "RATE_LIMITED",
"message": "ThrottlerException: Too Many Requests"
}
}{
"success": false,
"error": {
"code": "INTERNAL_ERROR",
"message": "Something went wrong on our end. Please contact Spenza support if this continues."
}
}Orders & Transactions
List transactions
Financial transaction history, paginated — charges and refunds. type
is derived from the sign of amount (REFUND is negative), and
status here excludes OTHER as a filter value even though it can
appear in a response. from/to are full ISO 8601 datetimes, same
same-day-collapse caveat as Orders.
GET
/
api
/
v1.1
/
transactions
List transactions
Authorizations
Bearer token obtained from POST /api/v1.1/auth/token.
Query Parameters
1-indexed page number.
Required range:
x >= 1Items per page.
Required range:
1 <= x <= 100Available options:
CHARGE, REFUND Available options:
PENDING, SUCCEEDED, FAILED, REFUNDED Response
A page of transactions.
⌘I

